<?php
return array(
    'san_captcha' => array(
        'class' => 'image',
        'options' => array(
            // using tmp sys dir to generate Captcha images
            'imgDir' => sys_get_temp_dir(),
            // feel free to add fonts in Module's font directory
            'fontDir' => __DIR__.'/../fonts',
            // if 'font' is not defined, SanCaptcha Module, will pick one randmoly in 'fontDir'
            'font' => 'Roboto-Regular.ttf',
//          'font' => ['arial.ttf', 'Roboto-Regular.ttf'],
            'width' => 200,
            'height' => 50,
            'dotNoiseLevel' => 1,
            'lineNoiseLevel' => 0
        ),
    ),
    
    'controllers' => array(
        'invokables' => array(
			'Login\Controller\Login'        => 'Login\Controller\LoginController',
			'Login\Controller\Register'     => 'Login\Controller\RegisterController',
			'Login\Controller\Forgetpass'   => 'Login\Controller\ForgetpassController',
            'StopForumSpam'                 => 'Login\Service\StopForumSpamService',
            'Login\Controller\Captcha'      => 'Login\Controller\CaptchaController',
            'Login\Controller\Testcaptcha'  => 'Login\Controller\TestcaptchaController'
        ),
    ),
    'router' => array(
        'routes' => array(
		
            'login' => array(
                'type'    => 'Literal',
                'options' => array(
                    'route'    => '/login',
                    'defaults' => array(
                        '__NAMESPACE__' => 'Login\Controller',
                        'controller'    => 'Login',
                        'action'        => 'login',
                    ),
                ),
                'may_terminate' => true,
                'child_routes' => array(
                    'process' => array(
                        'type'    => 'Segment',
                        'options' => array(
                            'route'    => '/[:action]',
                            'constraints' => array(
                                'controller' => '[a-zA-Z][a-zA-Z0-9_-]*',
                                'action'     => '[a-zA-Z][a-zA-Z0-9_-]*'
                            ),
                            'defaults' => array(
                            ),
                        ),
                    ),
                ),
            ),
            'register' => array(
                'type'    => 'segment',
                'options' => array(
                    'route'    => '/register[/][:action][/:activationid]',
                    'constraints' => array(
                        'action' 		=> 	'[a-zA-Z][a-zA-Z0-9_-]*',
                        'activationid' 	=> 	'[a-zA-Z0-9_-][a-zA-Z0-9_-]*'
                    ),
                    'defaults' => array(
                        'controller' => 'Login\Controller\Register',
                        'action'     => 'index',
                    ),
                )
            ),
            
            'SanCaptcha' => array(
                'type'    => 'Literal',
                'options' => array(
                    'route'    => '/san-captcha',
                    'defaults' => array(
                        'controller'    => 'Login\Controller\Testcaptcha',
                        'action'        => 'form',
                    ),
                ),
                'may_terminate' => true,
                'child_routes' => array(
                
                    'captcha_form' => array(
                        'type'    => 'segment',
                        'options' => array(
                            'route'    => '/[:action[/]]',
                             'constraints' => array(
                                'action' => '[a-zA-Z][a-zA-Z0-9_-]*',
                            ),
                            'defaults' => array(
                                'action' => 'form',                     
                            ),
                        ),
                    ),
                    
                    'captcha_form_generate' => array(
                        'type'    => 'segment',
                        'options' => array(
                            'route'    =>  '/captcha/[:id]',
                            'defaults' => array(
                                'controller' => 'Login\Controller\Captcha',
                                'action' => 'generate',                    
                            ),
                        ),
                    ),
                ),
            ),
			'forget_password' => array(
                'type'    => 'segment',
                'options' => array(
                    'route'    => '/password_reset',
                    'constraints' => array(
                        'action' => '[a-zA-Z][a-zA-Z0-9_-]*',
                        'id'     => '[0-9]*',
                    ),
                    'defaults' => array(
                        'controller' => 'Login\Controller\Forgetpass',
                        'action'     => 'index',
                    ),
                ),
                'may_terminate' => true,
                'child_routes' => array(
                    'default' => array(
                        'type'    => 'Segment',
                        'options' => array(
                            'route'    => '/[:action]',
                            'constraints' => array(
                                'controller' => '[a-zA-Z][a-zA-Z0-9_-]*',
                                'action'     => '[a-zA-Z][a-zA-Z0-9_-]*',
                            ),
                            'defaults' => array(
                            ),
                        ),
                    ),
                ),
            ),
        ),
    ),
    'view_manager' => array(
        'template_path_stack' => array(
            'login' => __DIR__ . '/../view',
        ),
		'template_map' => array(
			'activation-email/view'         => __DIR__ . '/../view/login/email_template/account_activation.phtml',
            'email/view'                    => __DIR__ . '/../view/login/email_template/email_template.phtml',
		)
    ),
);

