<?php
//module/Secure/src/Secure/Form/RegisterForm.php

/**************
	Purpose: Define the structure of registration form.
	Author: Kevin Gyberg
	Date: 03/07/2012
*************/

namespace Login\Form;

use Zend\Form\Form;
use Zend\Form\Element\Captcha;
use Zend\Captcha\AdapterInterface as CaptchaAdapter;

class RegisterForm extends Form
{
	/**
     * Constructor to create the structure of the registration form.
     */
    public function __construct(CaptchaAdapter $captchaAdapter = null)
    {
        // we want to ignore the name passed
        parent::__construct('Registration form');
		
		// set the form action as post
        $this->setAttribute('method', 'post');
        
        $captcha = new Captcha('captcha');
        $captcha->setCaptcha($captchaAdapter);
        $captcha->setOptions(array('label' => 'Please enter captcha text:'));
        $this->add($captcha);
    }
}