<?php

return array(
    'controllers' => array(
        'invokables' => array(
            'Secure\Controller\Secure'     => 'Secure\Controller\SecureController',
            'Secure\Controller\Account'    => 'Secure\Controller\AccountController',
            'Secure\Controller\Rrr'        => 'Secure\Controller\RrrController'
        ),
    ),
    'router' => array(
        'routes' => array(
		
			'account' => array(
                'type'    => 'Literal',
                'options' => array(
                    'route'    => '/account',
                    'defaults' => array(
                        '__NAMESPACE__' => 'Secure\Controller',
                        'controller'    => 'Account',
                        'action'        => 'index',
                    ),
                ),
                'may_terminate' => true,
                'child_routes' => array(
                    'process' => array(
                        'type'    => 'Segment',
                        'options' => array(
                            'route'    => '/account/[:action]',
                            'constraints' => array(
                                'controller' => '[a-zA-Z][a-zA-Z0-9_-]*',
                                'action'     => '[a-zA-Z][a-zA-Z0-9_-]*',
                            ),
                            'defaults' => array(
                            ),
                        ),
                    ),
                ),
            ),
            'secure' => array(
                'type'    => 'segment',
                'options' => array(
                    'route'    => '/secure[/][:action][/:resourceid][/:containerid]',
                    'constraints' => array(
                        'action' 		=> 	'[a-zA-Z][a-zA-Z0-9_-]*',
                        'resourceid' 	=> 	'[a-zA-Z0-9-][a-zA-Z0-9_-]*[\.]*[a-zA-Z0-9_-]*',
                        'containerid' 	=> 	'[a-zA-Z0-9][a-zA-Z0-9_-]*'
                    ),
                    'defaults' => array(
                        'controller' => 'Secure\Controller\Secure',
                        'action'     => 'index',
                    ),
                )
            ),
			'rrr' => array(
                'type'    => 'segment',
                'options' => array(
                    'route'    => '/rrr[/][:action][/:resourceid]',
                    'constraints' => array(
                        'action' 		=> 	'[a-zA-Z][a-zA-Z0-9_-]*',
                        'resourceid' 	=> 	'[a-zA-Z0-9-][a-zA-Z0-9_-]*'
                    ),
                    'defaults' => array(
                        'controller' => 'Secure\Controller\Rrr',
                        'action'     => 'index',
                    ),
                )
            ),
			
        ),
    ),
    'view_manager' => array(
        'template_path_stack' => array(
            'Secure' => __DIR__ . '/../view',
        ),
		'template_map' => array(
			'register/invitation'           => __DIR__ . '/../view/secure/register/register_invitation.phtml',
			'invitation-email/view'         => __DIR__ . '/../view/secure/email_template/invitation_email.phtml',
			'assigntask-email/view'         => __DIR__ . '/../view/secure/email_template/assign_task_email.phtml',
			'invitation/view'               => __DIR__ . '/../view/secure/secure/invitation.phtml',
			'sub-resource/calendar'         => __DIR__ . '/../view/secure/container/calendar.phtml',
			'sub-resource/tasks'            => __DIR__ . '/../view/secure/container/tasks.phtml',
			'sub-resource/medical-history'  => __DIR__ . '/../view/secure/container/medical_history.phtml',
			'sub-resource/medications'      => __DIR__ . '/../view/secure/container/medications.phtml',
			'sub-resource/contacts'         => __DIR__ . '/../view/secure/container/contacts.phtml',
			'sub-resource/events'           => __DIR__ . '/../view/secure/container/events.phtml',
			'resource/calendar'             => __DIR__ . '/../view/secure/secure/calendar.phtml',
			'resource/medications_listing'  => __DIR__ . '/../view/secure/secure/medications_listing.phtml',
			'resource/medications'          => __DIR__ . '/../view/secure/secure/medications.phtml',
			'resource/tasks_listing'        => __DIR__ . '/../view/secure/secure/task_listing.phtml',
			'resource/tasks'                => __DIR__ . '/../view/secure/secure/tasks.phtml',
			'resource/add_tasks'            => __DIR__ . '/../view/secure/secure/add-task.phtml',
			'resource/add_medications'      => __DIR__ . '/../view/secure/secure/add-medication.phtml',
			'resource/add_contacts'         => __DIR__ . '/../view/secure/secure/add-contact.phtml',
			'resource/add_documents'        => __DIR__ . '/../view/secure/secure/add-document.phtml',
			'resource/contacts_listing'     => __DIR__ . '/../view/secure/secure/contact_listing.phtml',
			'resource/medications_listing'  => __DIR__ . '/../view/secure/secure/medications_listing.phtml',
			'resource/contacts'             => __DIR__ . '/../view/secure/secure/contacts.phtml',
			'resource/documents_listing'    => __DIR__ . '/../view/secure/secure/document_listing.phtml',
			'secure/caredfor-edit'          => __DIR__ . '/../view/secure/secure/caredfor-edit.phtml',
			'secure/caredfor-view'          => __DIR__ . '/../view/secure/secure/caredfor-view.phtml',
			'secure/provider-edit'          => __DIR__ . '/../view/secure/secure/provider-edit.phtml',
			'secure/provider-view'          => __DIR__ . '/../view/secure/secure/provider-view.phtml',
			'secure/container-edit'         => __DIR__ . '/../view/secure/secure/container-edit.phtml',
			'secure/container-view'         => __DIR__ . '/../view/secure/secure/container-view.phtml',
			'secure/task-edit'              => __DIR__ . '/../view/secure/secure/edit-task.phtml',
			'secure/task-view'              => __DIR__ . '/../view/secure/secure/view-task.phtml',
			'secure/contact-edit'           => __DIR__ . '/../view/secure/secure/edit-contact.phtml',
			'secure/contact-view'           => __DIR__ . '/../view/secure/secure/view-contact.phtml',
			'secure/medication-edit'        => __DIR__ . '/../view/secure/secure/edit-medication.phtml',
			'secure/medication-view'        => __DIR__ . '/../view/secure/secure/view-medication.phtml',
			'secure/document-edit'          => __DIR__ . '/../view/secure/secure/edit-document.phtml',
			'secure/document-view'          => __DIR__ . '/../view/secure/secure/view-document.phtml',
			'secure/post-view'              => __DIR__ . '/../view/secure/secure/post-view.phtml',
			'secure/add-people'             => __DIR__ . '/../view/secure/secure/add-people.phtml'
		)
    ),
);
