<?php

//module/Secure/src/Secure/Model/BetaFeedbackInfoModel.php

/**************
	Purpose: Model functions for accessing the calendar table
	Author: Kevin Gyberg
	Date: 03/07/2012
*************/

namespace Secure\Model;
use Zend\Db\TableGateway\TableGateway;
use Secure\Model\Events;
use Zend\Db\Sql\Sql, Zend\Db\Sql\Insert, Zend\Db\Sql\Where, Zend\Db\Sql\Predicate;
use Zend\Db\Sql\Select;
use Zend\Db\Adapter\Adapter;

class BetaFeedbackInfoTable
{
	/**
     * @var tableGateway
     */
    protected $tableGateway;
    
    /**
     * @var dbSql
     */
	protected $dbSql;
    
    /*
     * Defined constants for permission
     */
    const IS_OWNER    = 1;
    const CAN_EDIT    = 2;
    const CAN_COMMENT = 3;
    const CAN_VIEW    = 4;

	/**
     * Constructor to initialize table gateway.
     * @param  TableGateway $tableGateway 
     */
    public function __construct(TableGateway $tableGateway)
    {
        $this->tableGateway = $tableGateway;
		$this->dbSql = $this->tableGateway->getAdapter();
    }
	
    public function saveBetaFeedbackRecord($betaFeedbackInsertInfo)
    {
        if ($betaFeedbackInsertInfo) {
            
            if ($this->tableGateway->insert($betaFeedbackInsertInfo)) {
                return true;
            }
        }
        return false;
    }
}