<?php

//module/Secure/src/Secure/Model/RequestTrackerTable.php

/**************
	Purpose: Model functions for accessing the request_tracker table
	Author: Kevin Gyberg
	Date: 03/07/2012
*************/

namespace Secure\Model;
use Zend\Db\TableGateway\TableGateway;

class RequestTrackerTable
{
	/**
     * @var tableGateway
     */
    protected $tableGateway;
    
	/**
     * @var dbSql
     */
    protected $dbSql;

	/**
     * Constructor to initialize table gateway.
     * @param  TableGateway $tableGateway 
     */
    public function __construct(TableGateway $tableGateway)
    {
        $this->tableGateway = $tableGateway;
        $this->dbSql = $this->tableGateway->getAdapter();
    }
    
    /**
     * Model method to save request tracker data into the request_tracker table.
     * 
     * @param array $requestTrackerRecord
     * @return boolean
     */
    public function saveRequestTrackerRecord($requestTrackerRecord)
    {
        
        if ($requestTrackerRecord) {
        
            if ($this->tableGateway->insert($requestTrackerRecord)) {
                
                return true;
            }
        }
        return false;
    }
}