<?php

//module/Secure/src/Secure/Model/ResourceTypeTable.php

/**************
	Purpose: Model functions for accessing the resource_type table
	Author: Kevin Gyberg
	Date: 03/07/2012
*************/

namespace Secure\Model;
use Zend\Db\TableGateway\TableGateway;
use Zend\Db\Adapter\Adapter;

class ResourceTypeTable
{
	/**
     * @var tableGateway
     */
    protected $tableGateway;
    
	/**
     * @var dbSql
     */
    protected $dbSql;

	/**
     * Constructor to initialize table gateway.
     * @param  TableGateway $tableGateway 
     */
    public function __construct(TableGateway $tableGateway)
    {
        $this->tableGateway = $tableGateway;
        $this->dbSql = $this->tableGateway->getAdapter();
    }
    
    /**
     * Function to collect all the tabs allowed/required for a container resource
     * 
     * @param int $profileResourceId
     */
    public function getAllTabs($profileResourceId)
    {
        $tabRecords = $this->tableGateway->select(
                                array(
                                    'resourceid' => $profileResourceId,
                                    'rec_status' => 1
                                )
        );
        
        if ($tabRecords) {
            return $tabRecords;
        }
        return false;
    }
}