<?php
//module/Secure/src/Secure/Controller/ConvertService.php

/**************
	Purpose: Handels the stuff for encrypting string etc.
	Author: Kevin Gyberg
	Date: 02/28/2013
*************/
namespace Secure\Service;

class ConvertService
{
	var $skey 	= "SuPerEncKey2010"; // you can change it
	
    public  function safe_b64encode($string) {
	
        $data = base64_encode($string);
        $data = str_replace(array('+','/','='),array('-','_',''),$data);
        return $data;
    }

	public function safe_b64decode($string) {
        $data = str_replace(array('-','_'),array('+','/'),$string);
        $mod4 = strlen($data) % 4;
        if ($mod4) {
            $data .= substr('====', $mod4);
        }
        return base64_decode($data);
    }
	
    public  function encode($value) { 
		
	    if(!$value){return false;}
        $text = $value;
        $iv_size = mcrypt_get_iv_size(MCRYPT_RIJNDAEL_256, MCRYPT_MODE_ECB);
        $iv = mcrypt_create_iv($iv_size, MCRYPT_RAND);
        $crypttext = mcrypt_encrypt(
                MCRYPT_RIJNDAEL_256, 
                $this->skey, 
                $text, 
                MCRYPT_MODE_ECB, 
                $iv
        );
        return trim($this->safe_b64encode($crypttext)); 
    }
    
    public function decode($value) {
		
        if(!$value){return false;}
        $crypttext = $this->safe_b64decode($value); 
        $iv_size = mcrypt_get_iv_size(MCRYPT_RIJNDAEL_256, MCRYPT_MODE_ECB);
        $iv = mcrypt_create_iv($iv_size, MCRYPT_RAND);
        $decrypttext = mcrypt_decrypt(
                MCRYPT_RIJNDAEL_256, 
                $this->skey, 
                $crypttext, 
                MCRYPT_MODE_ECB, 
                $iv
        );
        return trim($decrypttext);
    }
	
	/**
     * Convert a Ascii to hexadecimal
     * 
     * @param string $ascii
     * @return string $hex
     */
	function AsciiToHex($ascii) {
		$hex = '';

		for($i = 0; $i < strlen($ascii); $i++)
		$hex .= str_pad(base_convert(ord($ascii[$i]), 10, 16), 2, '0', STR_PAD_LEFT);

		return $hex;
	}

	/**
     * Convert a hex string to ascii, prepend with '0' if input is not an even number
     * of characters in length   
     * 
     * @param string $hex
     * @return string $ascii
     */
	function HexToAscii($hex) {
		$ascii = '';

		if (strlen($hex) % 2 == 1)
		$hex = '0'.$hex;

		for($i = 0; $i < strlen($hex); $i += 2)
		$ascii .= chr(base_convert(substr($hex, $i, 2), 16, 10));

		return $ascii;
	}

    /**
     * paramEncrypt function just calles AsciiToHex and base64_encode from inside.
     * 
     * @param string $str_in
     * @return string
     */
	function paramEncrypt($strIn) {
		return $this->AsciiToHex(base64_encode($strIn));
	}

    /**
     * paramDecrypt function just calls AsciiToHex and base64_decode from inside.
     * 
     * @param string $strIn
     * @return string
     */
	function paramDecrypt($strIn) {
		return base64_decode($this->HexToAscii($strIn));
	}
    
    /**
     * Converts array to string
     * 
     * @param array $paramArray
     * @return string
     */
    function arrayToString($paramArray)
    {
         $carryfilters = NULL;
         $first = TRUE;
         foreach($paramArray as $key => $value) {
             if ($first) {$first = FALSE;} else {$carryfilters .= '&';}
             $carryfilters .= $key.'='.$value;
         }
         return $carryfilters;
    }
   
    /**
     * Converts string to array
     * 
     * @param string $strIn
     * @return string $paramArray and false on failure.
     */
    function stringToArray($strIn)
    {
        if (NULL != $strIn) {
            $rawParamArray = explode('&', $strIn);

            foreach ($rawParamArray as $v) {
                if (NULL != $v) {
                    list($key, $value) = preg_split('/=/', $v);
                    $paramArray[$key] = $value;
                }
            }
            return $paramArray;
        }
        return false;
    }
}

?>
